be.ehealth.businessconnector.therlink.domain.responses

## Class TherapeuticLinkResponse.Builder

- java.lang.Object
- - be.ehealth.businessconnector.therlink.domain.responses.TherapeuticLinkResponse.Builder

- Enclosing class:
    TherapeuticLinkResponse

      public static class TherapeuticLinkResponse.Builder
      extends Object

  Builder for the response

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Builder()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `TherapeuticLinkResponse.Builder` | `addOperationContext(OperationContext oc)`
    `TherapeuticLinkResponse` | `build()`
    `TherapeuticLinkResponse.Builder` | `withEndDate(org.joda.time.LocalDate endDate)`
    `TherapeuticLinkResponse.Builder` | `withHcParty(HcParty hcp)`
    `TherapeuticLinkResponse.Builder` | `withPatient(Patient patient)`
    `TherapeuticLinkResponse.Builder` | `withStartDate(org.joda.time.LocalDate startDate)`
    `TherapeuticLinkResponse.Builder` | `withType(String string)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Builder

          public Builder()

  - ### Method Detail

    - #### withPatient

          public TherapeuticLinkResponse.Builder withPatient(Patient patient)

    - #### withHcParty

          public TherapeuticLinkResponse.Builder withHcParty(HcParty hcp)

    - #### addOperationContext

          public TherapeuticLinkResponse.Builder addOperationContext(OperationContext oc)

    - #### withStartDate

          public TherapeuticLinkResponse.Builder withStartDate(org.joda.time.LocalDate startDate)

    - #### withEndDate

          public TherapeuticLinkResponse.Builder withEndDate(org.joda.time.LocalDate endDate)

    - #### withType

          public TherapeuticLinkResponse.Builder withType(String string)

      Parameters:
        `string` -
      Returns:

    - #### build

          public TherapeuticLinkResponse build()

      Returns:

Connector Packaging PERSPODOLOGIST 4.3.0-beta-3 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.